Subject: [OPSAWG] Last Call review of draft-ietf-opsawg-mpls-tp-oam-def

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 1 Apr 2010 22:50:19 +0100

Hi,

Here are some last call comments for you to take under advisement.

Thanks for the work.
Adrian

---
I think you should include an Informational reference to
draft-ietf-opsawg-oam-overview.
---
Given the existence of draft-ietf-opsawg-oam-overview, it would be
helpful if the title of this document was scoped to MPLS-TP.

It seems like the secondary goal set out in the Abstract overlaps
with draft-ietf-opsawg-oam-overview. How about cleaning that up
by cutting this I-D down to just MPLS-TP?

---
Introduction

   The state of this work is very much "work in progress" and the
   discussion is ongoing.  The reason to publish the draft at this stage
   is that some of the relevant MPLS-TP drafts are getting close to
   working group last call and some of the definitions in this document
   are needed for consistency within that group of drafts.

I think it is time to resolve this paragraph.
---
Introduction

The examples presented here are from MPLS-TP I-Ds, but I suspect they
have now been fixed since all of the work has converged on this draft.

How about changing the paragraph
OLD
   The examples below come mainly from the first set of MPLS-TP IDs.  In
   the IDs there were a number of examples of how the OAM acronym could
   be used and there were a number of ways to expand and understand the
   acronym e.g.:
NEW
   The examples below show a number of different ways that the OAM 
   acronym could be expanded and understood. The examples come from many
   sources including some early of MPLS-TP I-Ds.

So then you could
DELETE
   The examples above were taken from drafts that later were corrected
   and aligned with what is proposed in this document.

---
Throughout
s/ID/I-D/
---
Section 1
Expand JWT acronym
---
Section 1
Delete...
   However, broader applicability of the
   definitions in this document may also come to light.
... consistent with my comment about the Abstract
---
Throughout
s/recommendation/Recommendation/
---
Section 2.2.3
s/clearly defines/clearly define/
---
Section 3 Title
OLD
Use of the OAM acronym MPLS-TP effort
NEW
Use of the OAM Acronym in the MPLS-TP Effort
---
Section 3
s/In MPLS-TP drafts/In MPLS-TP documents/
---
Section 3
Expand FCAPS and NOC
---
Section 8.1
You can remove Section 8.1 if it remains empty
---